﻿Imports System
Imports System.Data.Entity
Imports System.Data.Common

Namespace MP3Files

    Public Class DateiContext : Inherits DbContext

        Public Property Dateien As DbSet(Of Datei)

        Public Sub New(connectionString As String, Optional providerInvariantName As String = "System.Data.SqlServerCe.4.0")
            MyBase.New(CreateConnection(connectionString, providerInvariantName), True)

        End Sub

        Private Shared Function CreateConnection(connectionString As String, providerInvariantName As String) As DbConnection

            Dim connection As DbConnection = Nothing
            Dim factory As DbProviderFactory = DbProviderFactories.GetFactory(providerInvariantName)

            connection = factory.CreateConnection()
            connection.ConnectionString = connectionString

            Return connection

        End Function

        Protected Overrides Sub OnModelCreating(modelBuilder As DbModelBuilder)

            'modelBuilder.Conventions.Remove(Of PluralizingTableNameConvention)()
            modelBuilder.Configurations.Add(New DateiConfiguration())
            MyBase.OnModelCreating(modelBuilder)

        End Sub

    End Class

    Public Class MyDbInitializer : Inherits CreateDatabaseIfNotExists(Of DateiContext)

        Protected Overrides Sub Seed(context As DateiContext)
            ' create some sample data
        End Sub

    End Class

End Namespace
