﻿Imports System
Imports System.Data.Entity
Imports System.Data.Common
Imports System.Data.Entity.ModelConfiguration

Namespace MP3Files

    Public Class Datei

        Public Property id As Integer
        Public Property pfad As String
        Public Property name As String
        Public Property size As Double
        Public Property md5 As String
        Public Property datum As DateTime

    End Class

    Public Class DateiConfiguration : Inherits EntityTypeConfiguration(Of Datei)

        Public Sub New()

            Me.ToTable("dateien")
            Me.HasKey(Function(datei) datei.id) _
                .Property(Function(datei) datei.id).HasDatabaseGeneratedOption(ComponentModel.DataAnnotations.Schema.DatabaseGeneratedOption.Identity)
            Me.Property(Function(datei) datei.pfad).HasMaxLength(255)
            Me.Property(Function(datei) datei.md5).HasMaxLength(32)

        End Sub

    End Class

End Namespace
